메인 콘텐츠로 건너뛰기
POST
/
2
/
activity
/
subscriptions
X 활동 구독 생성
curl --request POST \
  --url https://api.x.com/2/activity/subscriptions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "event_type": "profile.update.bio",
  "filter": {
    "keyword": "The President",
    "user_id": "2244994945"
  },
  "tag": "<string>",
  "webhook_id": "1146654567674912769"
}
'
{
  "data": {
    "total_subscriptions_for_instance_id": 123
  },
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ],
  "meta": {
    "total_subscriptions": 123
  }
}

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

본문

application/json
event_type
enum<string>
필수
사용 가능한 옵션:
profile.update.bio,
profile.update.profile_picture,
profile.update.banner_picture,
profile.update.screenname,
profile.update.geo,
profile.update.url,
profile.update.verified_badge,
profile.update.affiliate_badge,
news.new,
follow.follow,
follow.unfollow,
chat.received,
chat.sent,
ProfileBioUpdate,
ProfilePictureUpdate,
ProfileBannerPictureUpdate,
ProfileScreennameUpdate,
ProfileGeoUpdate,
ProfileUrlUpdate,
ProfileVerifiedBadgeUpdate,
NewsNew,
FollowFollow,
FollowUnfollow
filter
object
필수

XAA 구독입니다.

tag
string
Required string length: 1 - 200
webhook_id
string

이 웹훅 구성의 고유 식별자입니다.

Pattern: ^[0-9]{1,19}$
예시:

"1146654567674912769"

응답

요청이 성공했습니다.

data
object
errors
object[]
Minimum array length: 1

IETF RFC 7807(https://tools.ietf.org/html/rfc7807)에 정의된 HTTP Problem Details 객체

meta
object